Update workspace
PATCH
/api/v1/workspaces/{id}
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","auto_join":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "auto_join": true }'Updates a single workspace by ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Workspace ID
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
string
auto_join
Whether new users in the organization are automatically added to this workspace.
boolean
Example
trueResponses
Section titled “Responses”Successful
Media typeapplication/json
object
id
required
integer
name
required
string
auto_join
required
boolean
created_at
required
string format: date-time
Example
{ "id": 12345, "name": "Default workspace", "auto_join": true, "created_at": "2023-08-23T10:30:00.000Z"}Unauthorized
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Forbidden
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Not Found
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Unprocessable Entity
Media typeapplication/json
object
message
required
string
errors
required
object
key
additional properties
Array<string>
Example
{ "errors": { "username": [ "Username is required.", "Username must be unique." ], "email": [ "Invalid email format." ] }}